Name:          libnfs
Version:       5.0.2
Release:       1mamba
Summary:       NFS client library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://github.com/sahlberg/libnfs/
Source:        https://github.com/sahlberg/libnfs/archive/libnfs-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: autoconf
BuildRequires: libtool

%description
LIBNFS is a client library for accessing NFS shares over a network.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Networking
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q -n %{name}-libnfs-%{version}

%build
./bootstrap
%configure --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libnfs.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/nfsc
%{_includedir}/nfsc/*
%{_libdir}/libnfs.la
%{_libdir}/libnfs.so
%{_libdir}/pkgconfig/libnfs.pc
%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/nfs-*
%{_mandir}/man1/nfs-*.1*

%changelog
* Thu Aug 11 2022 Automatic Build System <autodist@mambasoft.it> 5.0.2-1mamba
- automatic version update by autodist

* Tue Feb 01 2022 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Mon Feb 25 2019 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Thu Jul 12 2018 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Tue Oct 18 2016 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Tue Feb 02 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-2mamba
- automatic version update by autodist

* Tue Feb 02 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 1.9.8-1mamba
- automatic version update by autodist

* Tue Feb 10 2015 Automatic Build System <autodist@mambasoft.it> 1.9.7-1mamba
- automatic version update by autodist

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 1.9.6-1mamba
- automatic version update by autodist

* Mon Jul 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.5-1mamba
- update to 1.9.5

* Wed Jul 02 2014 Automatic Build System <autodist@mambasoft.it> 1.9.4-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 1.9.3-1mamba
- automatic version update by autodist

* Sun Feb 02 2014 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic version update by autodist

* Tue Nov 26 2013 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Tue Oct 22 2013 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Mon Jun 10 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Sun Feb 17 2013 Davide Madrisan <davide.madrisan@gmail.com> 1.3.0-1mamba
- package created by autospec
